Loading...
Searching...
No Matches
j2k_struct Struct Reference

## Public Attributes

ojph::codestream | codestream
ojph::mem_infile | mem_file

## Detailed Description

Definition at line 48 of file ojph_wrapper.cpp.

## Member Data Documentation

## codestream

ojph::codestream j2k_struct::codestream

Definition at line 50 of file ojph_wrapper.cpp.

Referenced by cpp_init_j2c_data(), cpp_parse_j2c_data(), cpp_pull_j2c_line(), cpp_restrict_input_resolution(), enable_resilience(), get_j2c_bit_depth(), get_j2c_downsampling_x(), get_j2c_downsampling_y(), get_j2c_height(), get_j2c_is_signed(), get_j2c_num_components(), and get_j2c_width().

## mem_file

ojph::mem_infile j2k_struct::mem_file

Definition at line 51 of file ojph_wrapper.cpp.

Referenced by cpp_init_j2c_data().

The documentation for this struct was generated from the following file:

- /build/openjph-z1hyMm/openjph-0.28.1/subprojects/js/src/ojph_wrapper.cpp